variables:
  DOCKER_IMAGE_NAME: python/tcb1-tool
  DOCKER_REGISTRY: nas1:5000
  DOCKER_IMAGE_FULL_NAME: ${DOCKER_REGISTRY}/${DOCKER_IMAGE_NAME}:${CI_COMMIT_SHORT_SHA}

stages:
  - build
  - quality
  - publish

build:docker-image:
  stage: build
  tags:
    - docker-build

  script:
    - docker info
    - docker login -u dddd -p dddd ${DOCKER_REGISTRY}
    - docker build -t ${DOCKER_IMAGE_FULL_NAME} .
    - docker push ${DOCKER_IMAGE_FULL_NAME}
